GET
/
stock
/
all
全市场股票列表
curl --request GET \
  --url https://data-api.investoday.net/data/stock/all \
  --header 'apiKey: <api-key>'
{
  "code": 0,
  "message": "success",
  "data": [
    {
      "stockCode": "601881",
      "exchangeCode": "SH",
      "boardName": "主板",
      "stockName": "中国银河",
      "stockFullName": "中国银河证券股份有限公司",
      "listStatus": 1,
      "listDate": "2017-01-23 00:00:00",
      "delistDate": "2023-08-15",
      "stockType": "A股",
      "companyId": "BS123458",
      "companyGrowthStage": 1
    }
  ]
}

Authorizations

apiKey
string
header
required

API访问的安全令牌

Query Parameters

pageNum
integer<int32>

页码。 最小值:1;

Example:

1

pageSize
integer<int32>

页长。 最小值:1; 最大值:500;

Example:

10

Response

成功响应

code
integer<int32>

响应状态码

Example:

0

message
string

响应消息

Example:

"success"

data
object[]